## ghostscript 10.06.0~dfsg

=== debian/changelog ===
ghostscript (10.06.0~dfsg-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130127). Remaining changes:
    - New re-packaging of Ghostscript 10.06.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
    - Do not compile with Neon FPU support on 32-bit ARM (see also Debian bug
      #1012254). Otherwise we get FTBFS on armhf.
  * Dropped delta merged upstream:
    - Removed use of sphinxcontrib.googleanalytics Sphinx extension, the     extension is not available in Ubuntu.
    - SECURITY UPDATE: Information Leak
      debian/patches/CVE-2025-48708.patch: Argument sanitization handle '#' as per '='
      CVE-2025-48708
    - SECURITY UPDATE: null pointer deref on file write failure
      debian/patches/CVE-2025-7462.patch: catch a null file pointer closing
      pdfwrite in devices/vector/gdevpdf.c.
      CVE-2025-7462
    - SECURITY UPDATE: stack overflow in pdf_write_cmap
      debian/patches/CVE-2025-59798.patch: use dynamically allocated buffer
      and check return codes in devices/vector/gdevpdtw.c.
      CVE-2025-59798
    - SECURITY UPDATE: stack overflow in pdfmark_coerce_dest
      debian/patches/CVE-2025-59799.patch: bounds check some strings in
      devices/vector/gdevpdfm.c.
      CVE-2025-59799
    - SECURITY UPDATE: heap overflow in ocr_begin_page
      debian/patches/CVE-2025-59800.patch: fix int overflow in
      devices/gdevpdfocr.c.
      CVE-2025-59800
    - Build with -std=gnu17 to avoid FTBFS with GCC 15 (LP #2124948)
  * Build with fpic to avoid FTBFS

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Jan 2026 22:07:12 -0500

ghostscript (10.06.0~dfsg-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [703426f] Remove -Werror=declaration-after-statement to
    fix build on armhf.
  * [9258e4c] Fix two booleans that were meant to be integers

 -- Steve M. Robbins <smr@debian.org>  Tue, 30 Sep 2025 19:08:44 -0500

ghostscript (10.06.0~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [f3af481] Patch calls to check_64bit_multiply().
  * [da00d5b] Wrap overlong changelog line.

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Sep 2025 21:47:31 -0500

ghostscript (10.06.0~dfsg-1) unstable; urgency=medium

  * New upstream version
    - Closes: #1116443, #1116444.
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
    Update lintian override info format in d/source/lintian-overrides
    on line 2-12, 15.
  * [c267038] Remove patches applied upstream

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Sep 2025 08:37:38 -0500

ghostscript (10.05.0dfsg1-0ubuntu5) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:17:32 +0100

ghostscript (10.05.0dfsg1-0ubuntu4) questing; urgency=medium

  * SECURITY UPDATE: null pointer deref on file write failure
    - debian/patches/CVE-2025-7462.patch: catch a null file pointer closing
      pdfwrite in devices/vector/gdevpdf.c.
    - CVE-2025-7462
  * SECURITY UPDATE: stack overflow in pdf_write_cmap
    - debian/patches/CVE-2025-59798.patch: use dynamically allocated buffer
      and check return codes in devices/vector/gdevpdtw.c.
    - CVE-2025-59798
  * SECURITY UPDATE: stack overflow in pdfmark_coerce_dest
    - debian/patches/CVE-2025-59799.patch: bounds check some strings in
      devices/vector/gdevpdfm.c.
    - CVE-2025-59799
  * SECURITY UPDATE: heap overflow in ocr_begin_page
    - debian/patches/CVE-2025-59800.patch: fix int overflow in
      devices/gdevpdfocr.c.
    - CVE-2025-59800

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2025 12:14:26 -0400

ghostscript (10.05.0dfsg1-0ubuntu3) questing; urgency=medium

  * Build with -std=gnu17 to avoid FTBFS with GCC 15 (LP: #2124948)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 24 Sep 2025 14:24:58 +0000

ghostscript (10.05.0dfsg1-0ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2025-48708.patch: Argument sanitization handle
      '#' as per '='
    - CVE-2025-48708

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 03 Jul 2025 15:29:54 +1000
