=== debian/control ===
Source: ghostscript
Standards-Version: 4.7.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Steve M. Robbins <smr@debian.org>,
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-linktree,
 dh-sequence-pkgkde-symbolshelper,
 fonts-urw-base35,
 freeglut3-dev,
 libcups2-dev [!kfreebsd-any],
 libcupsimage2-dev [!kfreebsd-any],
 libexpat-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libice-dev,
 libidn-dev,
 libijs-dev,
 libjbig2dec0-dev,
 libjpeg-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libpaper-dev,
 libpng-dev,
 libsm-dev,
 libtiff-dev,
 libx11-dev,
 libxext-dev,
 libxt-dev,
 pkgconf,
 rename,
 zlib1g-dev:native,
Build-Depends-Indep:
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 rst2pdf <!nodoc>,
Vcs-Browser: https://salsa.debian.org/debian/ghostscript
Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
Homepage: https://www.ghostscript.com/
Rules-Requires-Root: no

Package: ghostscript
Architecture: any
Multi-Arch: foreign
Depends:
 libgs10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 texlive-binaries,
Breaks:
 manpages-l10n (<< 4.22),
Conflicts:
 ghostscript-x (<< 10.02.0~dfsg-1),
Provides:
 ghostscript-x (= ${binary:Version}),
 postscript-viewer,
Replaces:
 ghostscript-x (<< 10.02.0~dfsg-1),
Description: interpreter for the PostScript language and for PDF
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics
 to be printed on non-PostScript printers.
 Supported printers include common dot-matrix, inkjet and laser models.
 .
 The suggested texlive-binaries package is only required when using dvipdf.

Package: ghostscript-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 ghostscript,
Description: interpreter for the PostScript language and for PDF - Documentation
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript,
 mainly targeted developers and advanced users.
Build-Profiles: <!nodoc>

Package: libgs10
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libgs10-common (= ${source:Version}),
 poppler-data,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: interpreter for the PostScript language and for PDF - Library
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.

Package: libgs-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
Description: interpreter for the PostScript language and for PDF - ICC profiles
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common ICC profiles.

Package: libgs10-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
 libgs-common,
Recommends:
 fonts-droid-fallback,
Description: interpreter for the PostScript language and for PDF - common files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files
 needed by the GPL Ghostscript library.
 .
 By default, GPL Ghostscript uses a font from the fonts-droid package
 to approximate glyphs in PDFs
 for which the requested CJK TrueType font is missing.
 If the fonts-droid package is not installed,
 these glyphs will be rendered as bullets.

Package: libgs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libgs10 (= ${binary:Version}),
 ${misc:Depends},
Description: interpreter for the PostScript language and for PDF - Development Files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files
 for the GPL Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.
